# Created by pyp2rpm-1.0.1
%global pypi_name testrepository

Name:           python-%{pypi_name}
Version:        0.0.18
Release:        2%{?dist}
Summary:        A repository of test results

License:        ASL 2.0
URL:            https://launchpad.net/testrepository
Source0:        http://pypi.python.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-fixtures
buildRequires:  python-subunit
BuildRequires:  python-testtools
BuildRequires:  python-extras

Requires:       python-fixtures
Requires:       python-subunit
Requires:       python-testtools
Requires:       python-extras

%description
Provides a database of test results which can be used to
support easy developer workflows, supporting functionality
like isolating failing tests. Testrepository is compatible
with any test suite that can output subunit. This includes any
TAP test suite and any pyunit compatible test suite.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%check
%{__python} setup.py test


%files
%doc README.txt Apache-2.0
%{_bindir}/testr
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 15 2014 Pádraig Brady <pbrady@redhat.com> - 0.0.18-1
- Latest upstream

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 30 2013 Pádraig Brady <P@draigBrady.com> - 0.0.15-4
- Update to 0.0.15

* Wed Feb 20 2013 Pádraig Brady <P@draigBrady.com> - 0.0.14-1
- Update to 0.0.14

* Thu Jan 03 2013 Pádraig Brady <P@draigBrady.com> - 0.0.11-1
- Initial package.
